Page MenuHomePhabricator

[[MediaWiki:Undo-summary]] i18n issue
Open, Needs TriagePublic

Description

Message should be updated to use Special:Redirect/revision/1234567.

Change from

Undo revision $1 by [[Special:Contributions/$2|$2]] ([[User talk:$2|talk]])

into

Undo revision [[Special:Redirect/revision/$1|$1]] by [[Special:Contributions/$2|$2]] ([[User talk:$2|talk]])

Note that the only visible change would be for the oldid ($1) to be linked and go to the undone revision.

See also w:no:Wikipedia:Tinget/Arkiv/2018/mai#Klikkbare lenker i redigeringssammendrag.


URL: https://translatewiki.net/wiki/MediaWiki:Undo-summary

Event Timeline

jeblad created this task.May 10 2018, 2:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2018, 2:55 PM
Aklapper added a subscriber: Liuxinyu970226.

@Liuxinyu970226: This is unrelated to MediaWiki's Internationalization code infrastructure but only a request to change a string. :)

eh, but title seems still i18n related, isn't that?

This comment was removed by Liuxinyu970226.

I don't see any i18n problem in this task (someone correct me if I'm wrong!). It's just the default task title that always includes "i18n" (see also T188379)...

It is a change request to clean up message from the time before links in the summary. I even believe I wrote something similar in Bugzilla… ;)

The title can be changed if anyone has a serious problem with it.

Vvjjkkii renamed this task from [[MediaWiki:Undo-summary]] i18n issue to b7caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from b7caaaaaaa to [[MediaWiki:Undo-summary]] i18n issue.Jul 2 2018, 4:19 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Do we need this? Or mark it as stalled for the moment until we find a use-case? :)

Is this still not fixed? Even something as trivial as this?

@jeblad: Your trivial patch in Gerrit is still welcome to fix this.

revi added a subscriber: revi.Nov 5 2018, 11:51 AM

Why not Special:PermanentLink?

Is this still not fixed? Even something as trivial as this?

I'm asking per discussion above, and yes it's trivial but do we need it? Maybe people specialized in this domain would give a signal? :)

revi added a comment.Nov 5 2018, 11:54 AM

Is this still not fixed? Even something as trivial as this?

I'm asking per discussion above, and yes it's trivial but do we need it? Maybe people specialized in this domain would give a signal? :)

The link to the revision will give a quick access to the revisions we are reverting, so we can lookup edit summaries? (the metadata about the editor is on undoing edit summary, so unnecessary.)

jeblad updated the task description. (Show Details)Nov 5 2018, 2:56 PM
jeblad added a comment.Nov 5 2018, 3:01 PM

@jeblad: Your trivial patch in Gerrit is still welcome to fix this.

Argh! But it is way more fun to point out the obvious bugs!

Perhaps I'll make a patch.

Change 471788 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/core@master] Core: Changed undo messages

https://gerrit.wikimedia.org/r/471788

Change 471788 abandoned by John Erling Blad:
Core: Changed undo messages

Reason:
Never mind.

https://gerrit.wikimedia.org/r/471788

jeblad added a comment.Mar 8 2019, 1:10 AM

Still not fixed?

@jeblad: Please stop spamming tickets with rhetorical questions that you can answer yourself.

This process is completely and utterly broken.

jeblad updated the task description. (Show Details)Mar 8 2019, 12:36 PM
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptMar 8 2019, 12:36 PM